
*Investment Equation*/
**Controlling for east asia and sub-saharan africa fixed effects
use "D:\Users\kakramov\Documents\Foreign Aid\Research report\regression\reg\disaggregated_investment_inst_f.dta", replace
log using investment.log, replace


**Table 5.12 Impact of economic aid on investment, IV estimations 

***********************
*---Column 1
***********************
**IV no interaction (IV-2SLS model)
ivreg2 inv (dseconomic_zero gov4=dseconomic_fitted_zero cons1 independence) policy logintgdp money fdi pi6090 revol ssa easia, robust first
ivregress 2sls inv (dseconomic_zero gov4=dseconomic_fitted_zero cons1 independence) policy logintgdp money fdi pi6090 revol ssa easia, robust first

***********************
*---Column 2
***********************
**IV no interaction (IV-LIML model)
ivreg2 inv (dseconomic_zero gov4=dseconomic_fitted_zero cons1 independence) policy logintgdp money fdi pi6090 revol ssa easia, liml robust first
ivregress liml inv (dseconomic_zero gov4=dseconomic_fitted_zero cons1 independence) policy logintgdp money fdi pi6090 revol ssa easia, robust first

***********************
*---Column 3
***********************
**IV no interaction (IV-Fuller model)
ivreg2 inv (dseconomic_zero gov4=dseconomic_fitted_zero cons1 independence) policy logintgdp money fdi pi6090 revol ssa easia, fuller(1) robust first


**Table 5.13 Impact of economic aid on investment, IV tests

*************************
*Test for exclusion of colonial variables (Model 1)
*************************
ivreg2 inv (dseconomic_zero gov4=dseconomic_fitted_zero cons1 independence) policy logintgdp money fdi pi6090 revol agdp portcol ssa easia, fuller(1) robust first
ivregress 2sls inv (dseconomic_zero gov4=dseconomic_fitted_zero cons1 independence) policy logintgdp money fdi pi6090 revol agdp portcol ssa easia, robust first
ivregress liml inv (dseconomic_zero gov4=dseconomic_fitted_zero cons1 independence) policy logintgdp money fdi pi6090 revol agdp portcol ssa easia, robust first


*************************
*Test for exclusion of population (logintpop) variable (Model 2)
*************************
ivreg2 inv (dseconomic_zero=dseconomic_fitted_zero) logintpop gov4_inst policy logintgdp money fdi pi6090 revol ssa easia, fuller(1) robust first
ivregress 2sls inv (dseconomic_zero=dseconomic_fitted_zero) logintpop gov4_inst policy logintgdp money fdi pi6090 revol ssa easia, robust first
ivregress liml inv (dseconomic_zero=dseconomic_fitted_zero) logintpop gov4_inst policy logintgdp money fdi pi6090 revol ssa easia, robust first


*************************
*Test for exclusion of share of agric. gdp (agdp) variable (Model 3) 
*************************
ivreg2 inv (dseconomic_zero gov4=dseconomic_fitted_zero cons1 independence) agdp policy logintgdp money fdi pi6090 revol ssa easia, fuller(1) robust first
ivregress 2sls inv (dseconomic_zero gov4=dseconomic_fitted_zero cons1 independence) agdp policy logintgdp money fdi pi6090 revol ssa easia, robust first
ivregress liml inv (dseconomic_zero gov4=dseconomic_fitted_zero cons1 independence) agdp policy logintgdp money fdi pi6090 revol ssa easia, robust first


*************************
*Test for exclusion of initial donor exports (lpcrexport731) variable (Model 4) 
*************************
ivreg2 inv (dseconomic_zero gov4=dseconomic_fitted_zero cons1 independence) lpcrexport731 policy logintgdp money fdi pi6090 revol ssa easia, fuller(1) robust first
ivregress 2sls inv (dseconomic_zero gov4=dseconomic_fitted_zero cons1 independence) lpcrexport731 policy logintgdp money fdi pi6090 revol ssa easia, robust first
ivregress liml inv (dseconomic_zero gov4=dseconomic_fitted_zero cons1 independence) lpcrexport731 policy logintgdp money fdi pi6090 revol ssa easia, robust first

